Support » Plugin: Manage Notification E-mails » Plugin conflicts – possible solution

  • Resolved fotherda

    (@fotherda)


    Having just spent a long time trying to get the plugin to block all emails, I discovered that the problem was several other plugins doing this:
    require_once(ABSPATH.WPINC.’/pluggable.php’);
    or this:
    require_once ABSPATH . ‘wp-includes/pluggable.php’;

    If any of these plugins are loaded before this MNE plugin it will be too late to override the default functions.

    The solution I’ve used is to copy wp-content/plugins/manage-notification-emails/includes/pluggable-functions-1.3.php into wp-content/mu-plugins/ and then just remove all content from the original pluggable-functions-1.3.php (don’t delete it).

    This seems to work as it puts MNE overrides ahead of all other plugins in the execution order. There is the disadvantage that MNE cannot now be deactivated except by removing the file from the mu-plugins/ dir.

    If anyone can think of any other problems with doing this please let me know.

Viewing 2 replies - 1 through 2 (of 2 total)
Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.